summaryrefslogtreecommitdiffstats
path: root/gnu/usr.bin/grep/tests/file.sh
diff options
context:
space:
mode:
authortjr <tjr@FreeBSD.org>2004-07-04 09:52:08 +0000
committertjr <tjr@FreeBSD.org>2004-07-04 09:52:08 +0000
commitd4c611919468bb0fb6a564c4b8cada55792c3fc4 (patch)
treef2214fa6f131710d43ac95358818886df20d47df /gnu/usr.bin/grep/tests/file.sh
parenta28ccb3d69be53479d581654919168403fb79f65 (diff)
downloadFreeBSD-src-d4c611919468bb0fb6a564c4b8cada55792c3fc4.zip
FreeBSD-src-d4c611919468bb0fb6a564c4b8cada55792c3fc4.tar.gz
Import GNU grep 2.5.1 (trimmed)
Diffstat (limited to 'gnu/usr.bin/grep/tests/file.sh')
-rwxr-xr-xgnu/usr.bin/grep/tests/file.sh59
1 files changed, 59 insertions, 0 deletions
diff --git a/gnu/usr.bin/grep/tests/file.sh b/gnu/usr.bin/grep/tests/file.sh
new file mode 100755
index 0000000..3db95be
--- /dev/null
+++ b/gnu/usr.bin/grep/tests/file.sh
@@ -0,0 +1,59 @@
+#!/bin/sh
+# Test for POSIX.2 options for grep
+#
+# grep -E -f pattern_file file
+# grep -F -f pattern_file file
+# grep -G -f pattern_file file
+#
+
+: ${srcdir=.}
+
+failures=0
+
+cat <<EOF >patfile
+radar
+MILES
+GNU
+EOF
+
+# match
+echo "miles" | ${GREP} -i -E -f patfile > /dev/null 2>&1
+if test $? -ne 0 ; then
+ echo "File_pattern: Wrong status code, test \#1 failed"
+ failures=1
+fi
+
+# match
+echo "GNU" | ${GREP} -G -f patfile > /dev/null 2>&1
+if test $? -ne 0 ; then
+ echo "File_pattern: Wrong status code, test \#2 failed"
+ failures=1
+fi
+
+# checking for no match
+echo "ridar" | ${GREP} -F -f patfile > /dev/null 2>&1
+if test $? -ne 1 ; then
+ echo "File_pattern: Wrong status code, test \#3 failed"
+ failures=1
+fi
+
+cat <<EOF >patfile
+
+EOF
+# empty pattern : every match
+echo "abbcd" | ${GREP} -F -f patfile > /dev/null 2>&1
+if test $? -ne 0 ; then
+ echo "File_pattern: Wrong status code, test \#4 failed"
+ failures=1
+fi
+
+cp /dev/null patfile
+
+# null pattern : no match
+echo "abbcd" | ${GREP} -F -f patfile > /dev/null 2>&1
+if test $? -ne 1 ; then
+ echo "File_pattern: Wrong status code, test \#5 failed"
+ failures=1
+fi
+
+exit $failures
OpenPOWER on IntegriCloud